import { jsx } from "react/jsx-runtime";
import { HandCoins as HandCoins$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HandCoins = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "HandCoins", ...props, children: /* @__PURE__ */ jsx(HandCoins$1, { weight: variant }) });
  }
);
HandCoins.displayName = "HandCoins";
Object.assign(HandCoins, { isGdsIcon: true });
export {
  HandCoins
};
